%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  SemNeT
%global packver   1.4.4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.4.4
Release:          1%{?dist}%{?buildtag}
Summary:          Methods and Measures for Semantic Network Analysis

License:          GPL (>= 3.0)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6.0
Requires:         R-core >= 3.6.0
BuildArch:        noarch
BuildRequires:    R-CRAN-pbapply 
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-plyr 
BuildRequires:    R-CRAN-magrittr 
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-igraph 
BuildRequires:    R-CRAN-qgraph 
BuildRequires:    R-CRAN-scales 
BuildRequires:    R-CRAN-car 
BuildRequires:    R-CRAN-broom 
BuildRequires:    R-CRAN-effects 
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-philentropy 
Requires:         R-CRAN-pbapply 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-plyr 
Requires:         R-CRAN-magrittr 
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-igraph 
Requires:         R-CRAN-qgraph 
Requires:         R-CRAN-scales 
Requires:         R-CRAN-car 
Requires:         R-CRAN-broom 
Requires:         R-CRAN-effects 
Requires:         R-methods 
Requires:         R-CRAN-philentropy 

%description
Implements several functions for the analysis of semantic networks
including different network estimation algorithms, partial node
bootstrapping (Kenett, Anaki, & Faust, 2014
<doi:10.3389/fnhum.2014.00407>), random walk simulation (Kenett &
Austerweil, 2016
<http://alab.psych.wisc.edu/papers/files/Kenett16CreativityRW.pdf>), and a
function to compute global network measures. Significance tests and
plotting features are also implemented.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
